/*
 * RangedSliderPlugin.h is part of bmsapp.
 *
 * bmsapp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * bmsapp is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _RANGEDSLIDERPLUGIN_H
#define	_RANGEDSLIDERPLUGIN_H

#include <QObject>
#include <QString>
#include <QWidget>
#include <QIcon>
#include <QtUiPlugin/QDesignerCustomWidgetInterface>

class RangedSliderPlugin;

class RangedSliderPlugin : public QObject, public QDesignerCustomWidgetInterface
{
   Q_OBJECT
   Q_PLUGIN_METADATA(IID "org.qt-project.Qt.QDesignerCustomWidgetCollectionInterface")
   Q_INTERFACES(QDesignerCustomWidgetInterface)
           
public:
   RangedSliderPlugin(QObject* parent = nullptr);
   
   bool isContainer() const;
   bool isInitialized() const;
   QIcon icon() const;
   QString domXml() const;
   QString group() const;
   QString includeFile() const;
   QString name() const;
   QString toolTip() const;
   QString whatsThis() const;
   QWidget *createWidget(QWidget *parent);
   void initialize(QDesignerFormEditorInterface *core);

private:
   bool initialized = false;
};

#endif
